openapi: 3.0.0
info:
  title: "API metódy platby"
  description: ''
  version: '1.0'
servers:
  -
    url: 'https://payments.comgate.cz'
    description: 'Comgate Payment Gateway'
paths:
  /v1.0/create:
    post:
      summary: create
      description: "Prístup je chránený validáciou IP adresy a integrita odovzdávaných dát je zabezpečená použitím HTTPS protokolu.<br>Server platobnej brány zodpovedá len v prípade, že je platba zakladaná na pozadí. Všetky parametre sú 'urlencoded', rovnako ako v prípade HTTP requestu. Ak je platba založená presmerovaním (parameter 'prepareOnly' je 'false'), potom server platobnej brány rovno presmeruje Platiteľ na príslušnú URL alebo zobrazí chybové hlásenie.<br><br>**Výber platobnej metódy**<br>V rámci nákupného procesu v e-shope je možné zobraziť plátcovi výber platebných metód a na základe jeho výberu založiť platbu s konkrétnou metódou. V momente, keď je plátcovi zobrazená platobná brána, automaticky sa zobrazí predom vybraná platobná metóda. Nastavenie vybranej platobnej metódy je možné vyplnením parametra 'method'. Prostredníctvom tohto parametra je možné platobné metódy aj rôzne filtrovať.<br>Viac tu: https://apidoc.comgate.cz/sk/metody-platebni-brany/<br><br>**Predautorizácia**<br>Platobná brána umožňuje zadávať, potvrdzovať a rušiť predautorizácie platieb kartou. Založenie platby sa uskutočňuje štandardne, len je potrebné uviesť parameter 'preauth = true'. Potom platca prejde rovnakým procesom ako v prípade normálnej platby. Potom, čo zadá svoje údaje na platobnej bráne, je na jeho platobnej karte rezervovaná príslušná suma. Podľa výsledku tejto operácie prechádza buď do zvláštneho stavu Authorized, alebo v prípade zamietnutia do stavu CANCELLED. Tento stav je ohlásený na pozadí obvyklým postupom opísaným vyššie.<br>Aby boli peniaze skutočne strhnuté, vyvolá e-shop funkciu na potvrdenie predautorizácie. Ak sa peniaze majú uvoľniť (napr. nie je možné naplniť podmienky kúpnej zmluvy), vyvolá funkciu na zrušenie predautorizácie.<div class='theme-admonition theme-admonition-warning alert alert--warning'><h3 class='cg-alert-title'>UPOZORNENIE</h3><p class='cg-alert-content'>Adresa URL a štruktúra kódu platby sa môže zmeniť. Vždy používajte adresu vrátenú rozhraním API a nemanipulujte s ňou. Ak chcete platobný kód uložiť, použite parameter transId. Nikdy neparazitujte na údajoch z konkrétnych pozícií v texte, tie sa tiež môžu zmeniť.<br><br><strong>Všetky hodnoty obsahujúce špeciálne znaky musia byť v UTF-8.</strong></p></div>"
      operationId: 87f36741ae33d16a8f205abdbcc834c4
      requestBody:
        description: "Vytvorenie novej platby"
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - price
                - curr
                - label
                - refId
                - method
                - email
                - prepareOnly
                - secret
                - phone
                - fullName
              properties:
                merchant:
                  description: "Identifikátor e-shopu v systéme Comgate - nájdete v Klientskom portáli v sekcii Nastavenie obchodov - Prepojenie obchodu."
                  type: string
                  example: '123456'
                test:
                  description: "Hodnota 'true' znamená, že platba bude založená ako testovacia, hodnota 'false' znamená produkčnú verziu. Ak parameter chýba, založí sa platba ako produkčná."
                  type: boolean
                  default: false
                  example: true
                country:
                  description: "Možné hodnoty: ALL, AT, BE, CY, CZ, DE, EE, EL, ES, FI, FR, GB, HR, HU, IE, IT, LT, LU, LV, MT, NL, NO, PL, PT , RO, SI, SK, SE, US. Ak parameter chýba, použije sa automaticky 'CZ'. Parameter slúži na obmedzenie výberu platobných metód na platobnej bráne. Je potrebné aby bola zvolená správna kombinácia parametrov 'country' a 'curry' (mena) pre daný región. Napríklad na zobrazenie českých tlačidiel a platby kartou v mene CZK zvoľte kombináciu country = CZ a curry = CZK. Pri slovenských bankových tlačidlách a platbe kartou v EUR zvoľte country = SK a curry = EUR. Pre poľské bankové tlačidlá a platbu kartou v PLN zvoľte country = PL a curry = PLN. Pre ostatné cudzie meny môžete použiť parameter country = ALL alebo ďalší kód krajiny, ktorý platobná brána prijíma."
                  type: string
                price:
                  description: "Cena za výrobok v centoch alebo halieroch. Pre menu HUF nemôžete zadať cenu s desatinnými miestami. V tomto prípade musí cena vždy končiť 00.<br>Musí byť min. 1 CZK; 0,1 EUR; 1 PLN; 100 HUF; 1 USD; 1 GBP; 5 RON; 0,5 NOK; 0,5 SEK.<br>Max. 1 000 000 CZK; 40 000 EUR; 170 000 PLN; 12 500 000 HUF; 45 000 USD; 35 000 GBP; 190 000 RON; 400 000 NOK; 390 000 SEK."
                  type: integer
                  format: int32
                  example: 1000
                curr:
                  description: "Kód meny podľa ISO 4217. K dispozícii sú meny: EUR, CZK, PLN, HUF, USD, GBP, RON, NOK, SEK."
                  type: string
                  example: CZK
                label:
                  description: "Krátky opis produktu (1-16 znakov) - podľa tejto položky je možné filtrovať platby v Klientskom portáli."
                  type: string
                  example: 'Product 123'
                refId:
                  description: "Parameter vhodný na zadanie variabilného symbolu alebo čísla objednávky na strane Klienta (nemusí byť unikátne, tzn., že možno založiť viac platieb s rovnakým refid). V Klientskom portáli a denným csv. je parameter označený ako ID Klienta."
                  type: string
                  example: order445566
                method:
                  description: "Metóda platby z tabuľky platobných metód, hodnota 'ALL' v prípade, že si má metódu vybrať platiteľa alebo jednoduchý výraz s výberom metód. <br>Viac tu: https://apidoc.comgate.cz/sk/metody-platebni-brany/"
                  type: string
                  example: ALL
                account:
                  description: "Identifikátor bankového účtu Klienta, na ktorý Comgate prevedie peniaze. Ak parameter nevyplníte, použije sa predvolený účet Klienta. Zoznam účtov Klienta nájdete na https://portal.comgate.cz/."
                  type: string
                email:
                  description: "Kontaktný email platiteľa. Povinný je len jeden z údajov, emailová adresa alebo telefónne číslo."
                  type: string
                  example: platce@email.com
                phone:
                  description: "Telefónne číslo platiteľa v medzinárodnom formáte +420777112233. Povinný je len jeden z údajov, emailová adresa alebo telefónne číslo."
                  type: string
                fullName:
                  description: "Meno a priezvisko plátcu, napr. Josef Novák."
                  type: string
                  example: 'Jan Novák'
                billingAddrCity:
                  description: "Fakturačná adresa - mesto. (napr. Hradec Králové)."
                  type: string
                billingAddrStreet:
                  description: "Fakturačná adresa - ulica. (napr. Jiráskova 115)."
                  type: string
                billingAddrPostalCode:
                  description: "Fakturačná adresa - PSČ. (napr. 50304)."
                  type: string
                billingAddrCountry:
                  description: "Fakturačná adresa - krajina, vo formáte ISO 3166 alpha-2 (napr. CZ, SK, US, GB)."
                  type: string
                delivery:
                  description: "Spôsob doručenia - jedna z dostupných možností: HOME_DELIVERY, PICKUP, ELECTRONIC_DELIVERY. Možnosť PICKUP zahŕňa všetky miesta na vyzdvihnutie, vyzdvihovacie boxy, atď."
                  type: string
                  example: HOME_DELIVERY
                homeDeliveryCity:
                  description: "Doručovacia adresa - mesto. Vyplňuje sa len v prípade delivery=HOME_DELIVERY (napr. Hradec Králové)."
                  type: string
                homeDeliveryStreet:
                  description: "Doručovacia adresa - ulica. Vyplňuje sa len v prípade delivery=HOME_DELIVERY (napr. Štefanikova 421)."
                  type: string
                homeDeliveryPostalCode:
                  description: "Doručovacia adresa - PSČ. Vyplňuje sa len v prípade delivery=HOME_DELIVERY (napr. 50341)."
                  type: string
                homeDeliveryCountry:
                  description: "Doručovacia adresa - krajina, vo formáte ISO 3166 alpha-2. Vyplňuje sa len v prípade delivery=HOME_DELIVERY (napr. CZ, SK, US, GB)."
                  type: string
                category:
                  description: "Kategória produktu v košíku - jedna z dostupných možností, ktorá najlepšie opisuje košík: PHYSICAL_GOODS_ONLY, OTHER. Možnosť OTHER zahŕňa darčekové karty, poukážky alebo služby."
                  type: string
                  example: PHYSICAL_GOODS_ONLY
                name:
                  description: "Identifikátor produktu - táto položka sa nachádza v dennom csv. Klienta pod názvom Produkt."
                  type: string
                lang:
                  description: "Kód jazyka (ISO 639-1), v ktorom budú Platiteľovi zobrazené inštrukcie na dokončenie platby, štandardne povolené hodnoty ('bg', 'cs', 'da', 'de', 'el', 'en', 'es', 'et', 'fi', 'fr', 'hr', 'hu', 'it', 'lt', 'lv', 'nl', 'no', 'pl', 'pt', 'ro', 'si', 'sk', 'sv', 'vi'), ak parameter chýba, použije sa 'cs' v prípade požiadavky na ďalší jazyk, kontaktujte podpora@comgate.cz."
                  type: string
                prepareOnly:
                  description: "V prípade zakladania platby na pozadí vyplňte 'true'. Pri zakladaní platby presmerovaním vyplňte buď 'false' alebo parameter nepoužívajte. Aký povolený spôsob založenia platby máte nastavený, zistíte v Klientskom portáli v sekcii Integrácia - Prepojenie obchodu."
                  type: boolean
                  default: false
                  example: true
                secret:
                  description: "V prípade zakladania platby na pozadí vyplňte heslo pre komunikáciu na pozadí. Pri zakladaní platby presmerovaním parameter ponechajte prázdny alebo ho nepoužívajte."
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
                preauth:
                  description: "V prípade požiadavky na predautorizáciu platby kartou nastavte na 'true'. V prípade normálnej platby vyplňte 'false' alebo parameter nepoužívajte. Len na platby kartou."
                  type: boolean
                initRecurring:
                  description: "Príznak pre založenie iniciačnej transakcie pre opakované platby. Len pre Klientov, ktorí majú službu povolenú."
                  type: boolean
                verification:
                  description: "Parameter overovacej platby, v prípade požiadavky na založenie overovacej platby (hodnota 'true') nie je nutné posielať parameter 'initRecurring'."
                  type: boolean
                expirationTime:
                  description: "Délka expirace platby. Povolená hodnota je celé číslo následované písmenem zvolené časové jednotky: 'm' (minuty), 'h' (hodiny) nebo 'd' (dny). Například '30m' (30 minut) nebo '10h' (10 hodin) nebo '2d' (2 dny). Jednotky nelze kombinovat. Výsledná délka musí být v rozmezí 30 minut až 7 dní. Pokud není vyplněno, použije se hodnota v nastavení obchodu zvolená v Klientském portálu."
                  type: string
                dynamicExpiration:
                  description: "Hodnota 'true' znamená, že u platby bude použita dynamická expirace, hodnota 'false' znamená, že dynamická expirace použita nebude. Pokud není vyplněno, použije se hodnota v nastavení obchodu zvolená v Klientském portálu."
                  type: boolean
                url_paid:
                  description: "Posamezne nastavitve za posamezna plačila. Na primer: 'https://www.example.com/result.php?id=${id}&refId=${refId}'"
                  type: string
                url_cancelled:
                  description: "Posamezne nastavitve za posamezna plačila. Na primer: 'https://www.example.com/result.php?id=${id}&refId=${refId}'"
                  type: string
                url_pending:
                  description: "Posamezne nastavitve za posamezna plačila. Na primer: 'https://www.example.com/result.php?id=${id}&refId=${refId}'"
                  type: string
                chargeUnregulatedCardFees:
                  description: "Pomocou tohto parametra zapnete alebo vypnete prenos poplatkov na platiteľa pri platbe neregulovanou kartou a zároveň vypnete metódu Apple Pay a Google Pay (ak nie je parametrom 'enableApplePayGooglePay' nastavené inak). Povolené hodnoty sú 'true' alebo 'false'.<br>Použitie tohto parametra je možné len po schválení a zapnutí zo strany Comgate. Nie všetky e-commerce riešenia tento parameter podporujú.<br><br>Viac informácií o prenesení poplatkov nájdete na <a href='https://help.comgate.cz/docs/sk/prenesenie-poplatkov-na-platcu' target='_blank'>stránke podpory</a>."
                  type: boolean
                enableApplePayGooglePay:
                  description: "Nastavte na 'false' pre vypnutie platobnej metódy Apple Pay a Google Pay pre konkrétnu platbu, aj keď sú tieto metódy vo vašom nastavení účtu povolené.<br>Nastavte na 'true' pre zapnutie platobnej metódy Apple Pay a Google Pay pre konkrétnu platbu, aj keď je použitý parameter 'chargeUnregulatedCardFees'.<br>Ak je použitý parameter 'chargeUnregulatedCardFees', tak je predvolená hodnota parametra 'enableApplePayGooglePay' 'false'. V opačnom prípade je predvolená hodnota 'true'."
                  type: boolean
              type: object
      responses:
        '200':
          description: "Vytvorí novú platbu"
          content:
            application/x-www-form-urlencoded:
              schema:
                required:
                  - code
                  - message
                properties:
                  code: { description: "<strong>Návratový kód metódy a opis chyby:</strong><br/>0 OK<br/>1100 neznáma chyba<br/>1102 zadaný jazyk nie je podporovaný<br/>1103 nesprávne zadaná metóda<br/>1104 nemožno načítať platbu<br/>1107 cena platby nie je podporovaná<br/>1200 databázová chyba<br/>1301 neznámy e-shop<br/>1303 prepojenie alebo jazyk chýba<br/>1304 neplatná kategória<br/>1305 chýba opis produktu<br/>1306 vyberte správnu metódu<br/>1308 vybraný spôsob platby nie je povolený<br/>1309 nesprávna čiastka<br/>1310 neznáma mena<br/>1311 neplatný identifikátor bankového účtu Klienta<br/>1316 e-shop nemá povolené opakované platby<br/>1317 neplatná metóda - nepodporuje opakované platby<br/>1319 nemožno založiť platbu, problém na strane banky<br/>1399 neočakávaný výsledok z databázy<br/>1400 chybná otázka<br/>1500 neočakávaná chyba", type: integer, example: 0 }
                  message: { description: '', type: string, example: OK }
                  transId: { description: "Unikátny alfanumerický identifikátor (kód) transakcie, ktorý bude zobrazený Platiteľmi v rôznych fázach platby.", type: string, example: AB12-CD34-EF56 }
                  redirect: { description: "URL stránka, kam má byť Platiteľ presmerovaný na realizáciu platby.", type: string, example: 'https://payments.comgate.cz/client/instructions/index?id=AB12-CD34-EF56' }
                type: object
  /v1.0/cancel:
    post:
      summary: cancel
      description: "**Storno platby**<br>V prípade, že bola objednávka v e-shope stornovaná a transakcia nemá byť platcom dokončená, je možné využiť storno platby. Na rozdiel od refundácie musí byť platba v stave očakávaná (pending).<br>Vzhľadom na rýchlosť zaplatenia platieb môže byť platba už v stave zaplatená, v takom prípade sa zobrazí chyba a je nutné využiť metódu refundácie."
      operationId: 7667d478e251915f2a76980a83977908
      requestBody:
        description: "Zrušenie platby"
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - transId
                - secret
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                transId:
                  description: "unikátny alfanumerický identifikátor (kód) transakcie (transactionId)"
                  type: string
                  example: AB12-CD34-EF56
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
              type: object
      responses:
        '200':
          description: "Stav zrušenia"
          content:
            application/x-www-form-urlencoded:
              schema:
                required:
                  - code
                  - message
                properties:
                  code: { description: "<strong>návratový kód metódy a opis chyby:</strong><br>0 OK<br>1400 nie je možné prepnúť platbu do cancel stavu (platba nenájdená, platba nie je v stave pending, neoprávnený prístup)", type: integer, example: 0 }
                  message: { description: '', type: string, example: OK }
                type: object
  /v1.0/recurring:
    post:
      summary: recurring
      description: "**Opakované platby, zapamätanie kartových údajov**<br>Platobná brána umožňuje zadávanie opakovaných platieb, t.j. platieb na jedno kliknutie. Prvá (iniciačná) platba sa uskutočňuje štandardným procesom s presmerovaním na platobnú bránu, nasledujúce platby sa už uskutočňujú kompletne na pozadí. Systém tak umožňuje platcovi zaplatiť v priebehu niekoľkých sekúnd bez nutnosti vypĺňať informácie o platobnej karte.<br>Táto funkcia je dostupná na vyžiadanie. V prípade opakovaných platieb na začiatku zakladáme iniciačnú platbu, ktorá sa zakladá ako bežná platba, len sa v požiadavke nachádza navyše parameter 'initRecurring' - metóda create. Následné opakované platby sú už zakladané metódou recurring a sú viazané na Comgate ID iniciačnej transakcie. Toto ID musí byť v systéme Klienta viazané na konkrétneho Platiteľa.<br>Po založení opakovanej platby nedochádza k presmerovaniu platcu na platobnú bránu, pretože celý proces sa uskutočňuje na pozadí, Klientovi je len odovzdaný stav založenia platby a ten následne zobrazí tento stav platcovi.<br><br>**Nasledujúce opakované platby**<br>Založenie druhej a nasledujúcej opakované platby do platobnej brány je možné len pri akceptácii kariet pre e-shopy, ktoré majú službu povolenú. Prvá (iniciačná) platba sa uskutočňuje štandardnou cestou (pozri Založenie platby). Proces založenia druhej a každej ďalšej platby sa uskutočňuje kompletne na pozadí, tieto platby sú viazané na iniciačné cez Comgate ID iniciačné platby. Toto ID sa musí nachádzať v požiadavke v parametri 'initRecurringId'. Platiteľovi je v systéme e-shopu ako výsledok zobrazený stav platby.<br><br>Všetky parametre sú urlencoded, rovnako ako v prípade HTTP requestu na založenie štandardnej platby. V odpovedi sa nachádza parameter 'code', podľa ktorého e-shop určí, aký výsledok zobrazí platcovi. **code = 0** znamená úspech, platba bola vytvorená a zaplatená, akýkoľvek iný kód znamená chybu a teda nezaloženie platby.<br><br>**Rekurentné platby (recurring)**<br>Rekurentné platby, tzn. opakované platby s vopred zadefinovanou sumou a periódou (napr. mesačné, týždenné apod.) je možné realizovať pomocou služby Opakované platby, ktorá je opísaná v predchádzajúcich odsekoch.<br>Testovacie opakované platby (okrem iniciačných) vytvorené pomocou e-mailu 'recurring.cancelled@comgate.cz' budú automaticky označené ako CANCELLED (nezaplatené)"
      operationId: d6dae0a504955877441dbfcea7cffbeb
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - price
                - curr
                - label
                - refId
                - secret
                - initRecurringId
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                test:
                  description: "Hodnota 'true' znamená, že platba bude založená ako testovacia, hodnota 'false' znamená, že platba bude založená ako produkčná verzia. Ak parameter chýba, založí sa platba ako produkčná."
                  type: boolean
                  example: true
                price:
                  description: "Cena za výrobok v centoch alebo halieroch. Musí byť min. 10 CZK (vrátane), max. neobmedzene."
                  type: integer
                  format: int32
                  example: 10000
                curr:
                  description: "kód meny podľa ISO 4217, štandardne 'CZK'"
                  type: string
                  example: CZK
                label:
                  description: "krátky opis produktu (1 – 16 znakov)"
                  type: string
                refId:
                  description: "Referencia platby v systéme e-shopu (nemusí byť unikátna, tzn., že možno založiť viac platieb s rovnakým refid)."
                  type: string
                  example: '2010102600'
                account:
                  description: "Identifikátor bankového účtu e-shopu, na ktorý Comgate prevedie peniaze. Ak parameter nevyplníte, použije sa predvolený účet e-shopu. Zoznam účtov e-shopu nájdete na https://portal.comgate.cz/"
                  type: string
                name:
                  description: "Identifikátor produktu - podľa tejto položky je potom možné sa zorientovať v štatistikách platieb Comgate platobného systému."
                  type: string
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
                initRecurringId:
                  description: "Comgate ID iniciačnej platby"
                  type: string
                  example: AB12-CD34-EF56
              type: object
      responses:
        '200':
          description: Status
          content:
            application/x-www-form-urlencoded:
              schema:
                required:
                  - code
                  - message
                properties:
                  code: { description: "<strong>Návratový kód metódy a opis chyby:</strong><br>0 OK<br>1100 neznáma chyba<br>1102 zadaný jazyk nie je podporovaný<br>1103 nesprávne zadaná metóda<br>1104 nemožno načítať platbu<br>1200 databázová chyba<br>1301 neznámy e-shop<br>1303 prepojenie alebo jazyk chýba<br>1304 neplatná kategória<br>1305 chýba opis produktu<br>1308 vybraný spôsob platby nie je povolený<br>1309 nesprávna čiastka<br>1310 neznáma mena<br>1311 neplatný identifikátor bankového účtu e-shopu<br>1316 e-shop nemá povolené opakované platby<br>1317 neplatná metóda - nepodporuje opakované platby<br>1318 iniciačná platba nebola nájdená<br>1319 nemožno založiť platbu, problém na strane banky<br>1320 neplatný email pre opakovanú platbu<br>1399 neočakávaný výsledok z databázy<br>1400 chybná otázka<br>1500 neočakávaná chyba", type: integer, example: 0 }
                  message: { description: '', type: string, example: OK }
                  transId: { description: "unikátny alfanumerický identifikátor (kód) transakcie, ktorý bude zobrazený Platiteľmi v rôznych fázach platby", type: string }
                type: object
  /v1.0/refund:
    post:
      summary: refund
      description: "**Refundácia platby**<br>Metóda pre refundáciu je určená pre už založené a preplatené platby. Stav platby musí byť zaplatená (paid). Je možné vykonať ako čiastočnú (refundovaná suma je nižšia ako suma platby), tak plnú refundáciu (suma refundácie je rovnaká ako suma platby). Daná čiastka bude prevedená späť na účet platiteľa.<br>Ak platba nebola dokončená a je v stave pending, je možné využiť metódu storno platby."
      operationId: 4197a39ef55bac2448864b62c3023b1d
      requestBody:
        description: "Vrátenie platby"
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - transId
                - secret
                - amount
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                transId:
                  description: "unikátny alfanumerický identifikátor (kód) transakcie (transactionId)"
                  type: string
                  example: AB12-CD34-EF56
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
                amount:
                  description: "čiastka refundácie - môže byť v plnej alebo čiastočnej výške transakcie. Suma refundácie sa zadáva v centoch alebo halieroch. Pre menu HUF nie je možné zadať sumu s desatinnými miestami. V tomto prípade musí suma vždy končiť 00."
                  type: integer
                  format: int32
                  example: 10000
                test:
                  description: "Hodnota 'true' znamená, že refundácia bude založená ako testovacia. Refundácia a platba bude preverená štandardnou cestou, len nedôjde k refundácii pôvodnej platby.<br>Ak je vyplnené 'false' alebo je parameter prázdny, je založená ostrá refundácia.<br>Testovacie transakcie môžu byť refundované iba testovacími refundáciami."
                  type: boolean
                  example: true
                refId:
                  description: "Parameter vhodný na zadanie identifikačného čísla refundácie na strane Klienta (nemusí byť unikátna, tzn., že možno založiť viac refundácií s rovnakým refid); v Klientskom portáli v sekcii refundácií a denných csv pri refundácii je parameter označený ako ID Klienta. V prípade, že tento parameter na refundáciu nie je pripojený, k platbe sa zobrazí pôvodná refid založenej platby."
                  type: string
              type: object
      responses:
        '200':
          description: Status
          content:
            application/x-www-form-urlencoded:
              schema:
                required:
                  - code
                  - message
                properties:
                  code: { description: "<strong>návratový kód metódy a opis chyby:</strong><br>0 OK<br>1100 neznáma chyba<br>1200 databázová chyba<br>1400 chybná otázka<br>1401 refundovaná platba je v stave CANCELLED<br>1402 čiastka prevyšuje povolenú výšku<br>1500 neočakávaná chyba", type: integer, example: 0 }
                  message: { description: '', type: string, example: OK }
                type: object
  /v1.0/refundPos:
    post:
      summary: refundPos
      description: "**Refundácia terminálovej platby**<br>Metóda pre refundáciu je určená pre už založené a preplatené terminálové platby. Stav platby musí byť zaplatená (paid). Je možné vykonať ako čiastočnú (refundovaná suma je nižšia ako suma platby), tak plnú refundáciu (suma refundácie je rovnaká ako suma platby). Daná čiastka bude prevedená späť na účet platiteľa.<br>Ak platba nebola dokončená a je v stave pending, je možné využiť metódu storno platby. Serverové API nemusia mať záznam o platbe ihneď k dispozícii. Preto je vhodné najskôr zavolať refundáciu z pokladne na termináli. A volanie API využiť v prípade, že nemožno refundáciu zavolať z pokladne na termináli.<br/>Pre využitie tejto metódy je nutné najskôr v Klientskom portáli nastaviť v sekcii Nastavenie obchodu - Terminály pri danom termináli povolenej IP adresy, z ktorých sa budú refundácie vykonávať."
      operationId: 65170de9091a03dad0fb408a647b27c7
      requestBody:
        description: "Refundácia terminálovej platby"
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - secret
                - vs
                - amount
                - date
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate - nájdete V Klientskom portáli v sekcii Nastavenie obchodov - Terminály"
                  type: string
                  example: '123456'
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
                vs:
                  description: "variabilný symbol platby"
                  type: string
                  example: '7654321'
                amount:
                  description: "čiastka refundácie - môže byť v plnej alebo čiastočnej výške transakcie"
                  type: integer
                  format: int32
                  example: 10000
                date:
                  description: "dátum vykonania transakcie"
                  type: string
                  example: '2000-02-22'
              type: object
      responses:
        '200':
          description: Status
          content:
            application/x-www-form-urlencoded:
              schema:
                required:
                  - code
                  - message
                properties:
                  code: { description: "<strong>návratový kód metódy a opis chyby:</strong><br>0 OK<br>1100 neznáma chyba<br>1200 databázová chyba<br>1400 chybná otázka<br>1401 refundovaná platba je v stave CANCELLED<br>1402 čiastka prevyšuje povolenú výšku<br>1500 neočakávaná chyba", type: integer, example: 0 }
                  message: { description: '', type: string, example: OK }
                type: object
  /v1.0/capturePreauth:
    post:
      summary: capturePreauth
      description: "V prípade, že e-shop založil platbu s požiadavkou na predautorizáciu platby kartou (s využitím parametra 'preauth = true'), vyvolaním tejto funkcie vyžiada strhnutie peňazí, ktoré boli v rámci predautorizácie zablokované. Je možné vykonať ako čiastočné strhnutie transakcie (predautorizovaná suma je nižšia ako suma platby), tak plné strhnutie (suma strhnutia je rovnaká ako suma platby). Volanie možno použiť len na platby, pri ktorých bol ohlásený stav Authorized."
      operationId: d91e7c3202b7c5b6128177e5611c0c8b
      requestBody:
        description: "Potvrdenie predbežnej autorizácie"
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - transId
                - secret
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                transId:
                  description: "unikátny alfanumerický identifikátor (kód) transakcie (transactionId)"
                  type: string
                  example: AB12-CD34-EF56
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
                amount:
                  description: "čiastka predautorizácie, ktorá má byť z karty strhnutá - môže byť v plnej alebo čiastočnej výške transakcie"
                  type: integer
                  format: int32
                  example: 10000
              type: object
      responses:
        '200':
          description: "Predautorizačný stav"
          content:
            application/x-www-form-urlencoded:
              schema:
                required:
                  - code
                  - message
                properties:
                  code: { description: "<strong>návratový kód metódy a opis chyby:</strong><br>0 OK<br>1100 neznáma chyba<br>1104 nemožno načítať platbu<br>1200 databázová chyba<br>1301 neznámy e-shop<br>1303 prepojenie alebo jazyk chýba<br>1399 neočakávaný výsledok z databázy<br>1400 chybná otázka<br>1500 neočakávaná chyba", type: integer, example: 0 }
                  message: { description: '', type: string, example: OK }
                type: object
  /v1.0/cancelPreauth:
    post:
      summary: cancelPreauth
      description: "V prípade, že e-shop založil platbu s požiadavkou na predautorizáciu platby kartou (s využitím parametra 'preauth = true'), vyvolaním tejto funkcie dáva najavo, že peniaze, ktoré boli v rámci predautorizácie zablokované, nechce inkasovať a peniaze sa na karte môžu opäť uvoľniť. Volanie možno použiť len na platby, pri ktorých bol ohlásený stav Authorized."
      operationId: 5fad261dae920bba7880aade214deedb
      requestBody:
        description: "Zrušenie predautorizácie"
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - transId
                - secret
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                transId:
                  description: "unikátny alfanumerický identifikátor (kód) transakcie (transactionId)"
                  type: string
                  example: AB12-CD34-EF56
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
              type: object
      responses:
        '200':
          description: "Stav pred zrušením autorizácie"
          content:
            application/x-www-form-urlencoded:
              schema:
                required:
                  - code
                  - message
                properties:
                  code: { description: "<strong>návratový kód metódy a opis chyby:</strong><br>0 OK<br>1100 neznáma chyba<br>1104 nemožno načítať platbu<br>1200 databázová chyba<br>1301 neznámy e-shop<br>1303 prepojenie alebo jazyk chýba<br>1399 neočakávaný výsledok z databázy<br>1400 chybná otázka<br>1500 neočakávaná chyba", type: integer, example: 0 }
                  message: { description: '', type: string, example: OK }
                type: object
  /v1.0/transferList:
    post:
      summary: transferList
      description: "Metóda transferList slúži na získanie informácie, aké prevody boli uskutočnené v rámci daného dňa."
      operationId: c791f638208a6eef84b677ee5369a1ca
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - secret
                - date
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
                date:
                  description: "uveďte dátum uskutočnenia prevodu"
                  type: string
                  example: '2023-03-22'
                test:
                  description: "ak vyplníte true, metóda vráti vopred definovaný vzorový prevod"
                  type: boolean
                  default: false
                  example: false
              type: object
      responses:
        '200':
          description: "Úspešná operácia"
          content:
            application/json:
              schema:
                type: array
                items:
                  properties: { transferId: { type: integer, example: 1234567 }, transferDate: { type: string, format: date, example: '2023-01-25' }, accountCounterparty: { type: string, example: 0/0000 }, accountOutgoing: { type: string, example: 123456789/0000 }, variableSymbol: { type: string, example: '12345678' } }
                  type: object
  /v1.0/singleTransfer:
    post:
      summary: singleTransfer
      description: "Metóda singleTransfer zobrazuje detailné informácie ku konkrétnemu bankovému prevodu. Povinný parameter 'transferId' získa obchodník pomocou metódy transferList."
      operationId: b473184f974917ad27377798abad1634
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - secret
                - transferId
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
                transferId:
                  description: "uveďte prevody, ktoré boli uskutočnené v rámci daného dňa. Zoznam získate pomocou metódy transferList."
                  type: string
                  example: '1234567'
                test:
                  description: "vhodné na testovanie - Ak je hodnota true, vrátia sa detaily k vopred definovaným vzorovým prevodom"
                  type: boolean
                  default: false
                  example: false
              type: object
      responses:
        '200':
          description: "Úspešná operácia"
          content:
            application/json:
              schema:
                type: array
                items:
                  properties: { typ: { type: integer, example: 1 }, Merchant: { type: string, example: '123456' }, 'Datum založení': { type: string, example: '2023-01-06 14:11:30' }, 'Datum zaplacení': { type: string, example: '2023-01-06 14:21:30' }, 'Datum převodu': { type: string, example: '2023-01-10' }, 'Měsíc fakturace': { type: string, example: null }, 'ID Comgate': { type: string, example: AAAA-BBBB-CCCC }, Metoda: { type: string, example: 'Card payment' }, Produkt: { type: string, example: null }, Popis: { type: string, example: 'description eshop payment' }, 'E-mail plátce': { type: string, example: name.lastname@email.cz }, 'Variabilní symbol platby': { type: string, example: '123456789' }, 'Variabilní symbol převodu': { type: string, example: '123456789' }, 'ID od klienta': { type: string, example: '1234' }, Měna: { type: string, example: EUR }, 'Potvrzená částka': { type: string, example: '10,00' }, 'Převedená částka': { type: string, example: '10,00' }, 'Poplatek celkem': { type: string, example: '0,35' }, 'Poplatek mezibankovní': { type: string, example: '0,25' }, 'Poplatek asociace': { type: string, example: '0,25' }, 'Poplatek zpracovatel': { type: string, example: '-0,15' }, 'Typ karty': { type: string, example: EU_UNREGULATED } }
                  type: object
  /v1.0/csvSingleTransfer:
    post:
      summary: csvSingleTransfer
      description: "Vďaka metóde csvSingleTransfer si možno stiahnuť denný výpis vo formáte CSV."
      operationId: d295851769bb8f5e0c4e21fdcf7dd896
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - secret
                - transferId
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
                transferId:
                  description: "Uveďte prevody, ktoré boli uskutočnené v rámci daného dňa. Zoznam získate pomocou metódy transferList."
                  type: string
                  example: '5217530'
                download:
                  description: "Ak nie je vyplnené alebo je false, tak vracia dáta: názov súboru a jeho obsah; ak je true, tak vracia rovno CSV súbor."
                  type: boolean
                  example: false
                test:
                  description: "Ak je hodnota true, vráti ukážkový CSV súbor."
                  type: boolean
                  default: false
                  example: false
              type: object
      responses:
        '200':
          description: "Úspešná operácia"
          content:
            application/json:
              schema:
                properties:
                  nazev: { description: "Názov stiahnutého súboru CSV", type: string, example: vypis-YYYY-MM-DD.csv }
                  csv: { description: "Súbor CSV s kódovaním Base64", type: string, example: 'base64 encoded csv' }
                type: object
  /v1.0/aboSingleTransfer:
    post:
      summary: aboSingleTransfer
      description: "Vďaka metóde aboSingleTransfer si možno stiahnuť denný výpis vo formáte ABO."
      operationId: d36a9b048e379b37846200d16e8eb501
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - secret
                - transferId
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
                transferId:
                  description: "uveďte prevody, ktoré boli uskutočnené v rámci daného dňa. Zoznam získate pomocou metódy transferList."
                  type: string
                  example: transfer_id
                download:
                  description: "Ak nie je vyplnené alebo je false, tak vracia dáta: názov súboru a jeho obsah; ak je true, tak vracia rovno ABO súbor."
                  type: boolean
                  example: true
                type:
                  description: "Parameter 'type' môže nadobúdať hodnoty 'v1' a ''v2'. Pod 'v1'' získate ABO verziu s poplatkami uvedenými zvlášť ku každej platbe, pod 'v2' potom ABO so súhrnným poplatkom v jednom riadku. Pokiaľ nebude parameter vyplnený, automaticky obdržíte typ 'v1'."
                  type: string
                  example: v1
                encoding:
                  description: "Kódovanie znakov môže byť utf8 alebo win1250. Ak hodnota nie je vyplnená, predvolená hodnota parametra je utf8."
                  type: string
                  default: utf8
                  example: false
                test:
                  description: "Ak je hodnota true, vráti ukážkový ABO súbor."
                  type: boolean
                  default: false
                  example: false
              type: object
      responses:
        '200':
          description: "Úspešná operácia"
          content:
            application/json:
              schema:
                properties:
                  nazev: { description: "názov súboru", type: string, example: vypis-YYYY-MM-DD.gpc }
                  abo: { description: "base64 kódovaný súbor abo/gpc", type: string, example: base64_encoded_abo_file }
                type: object
  /v1.0/csvDownload:
    post:
      summary: csvDownload
      description: "Priame preberanie CSV súborov pre konkrétny deň metódou csvDowload. Stiahnutý súbor vo formáte ZIP bude obsahovať jeden alebo viac súborov CSV, ak je viac prevodov v rámci dňa. Možno využiť napr. na volanie pomocou wget."
      operationId: e10e8699fce1a4e2b02f3393e8b229ec
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - secret
                - date
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
                date:
                  description: "povinný len za jeden deň"
                  type: string
                  example: YYYY-MM-DD
                test:
                  description: "Ak je hodnota true, vráti ukážkový CSV súbor vo formáte ZIP."
                  type: boolean
                  default: false
                  example: false
              type: object
      responses:
        '200':
          description: "Úspešná operácia"
          content:
            application/zip:
              schema:
                type: string
                format: binary
                example: 'ZIP file containing a CSV of all transfers made on the date specified in the request'
  /v1.0/aboDownload:
    post:
      summary: aboDownload
      description: "Priame preberanie ABO súborov pre konkrétny deň metódou aboDowload. Stiahnutý súbor vo formáte ZIP bude obsahovať jeden alebo viac súborov ABO.<br>Možno využiť napr. na volanie pomocou wget."
      operationId: ddc69daa06e5d32f13ad35c759e1e1a1
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - secret
                - date
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
                date:
                  description: "povinný len za jeden deň"
                  type: string
                  example: YYYY-MM-DD
                type:
                  description: "Parameter 'type' môže nadobúdať hodnoty 'v1' a ''v2'. Pod 'v1'' získate ABO verziu s poplatkami uvedenými zvlášť ku každej platbe, pod 'v2' potom ABO so súhrnným poplatkom v jednom riadku. Pokiaľ nebude parameter vyplnený, automaticky obdržíte typ 'v1'."
                  type: string
                encoding:
                  description: "Kódovanie znakov môže byť utf8 alebo win1250. Ak hodnota nie je vyplnená, predvolená hodnota parametra je utf8."
                  type: string
                test:
                  description: "Ak je hodnota true, vráti ukážkový CSV súbor vo formáte ZIP."
                  type: boolean
                  default: false
                  example: false
              type: object
      responses:
        '200':
          description: "Úspešná operácia"
          content:
            application/zip:
              schema:
                type: string
                format: binary
                example: 'ZIP file contaning ABO for all transfers made on the date specified in the request'
  /v1.0/methods:
    post:
      summary: methods
      description: "**Získanie povolených metód**<br>Metóda na získanie nastavenia, ktoré má e-shop povolené v Comgate Platobnom Systéme. Touto metódou možno získať zoznam dostupných platobných metód na realizáciu platieb.<br>V odpovedi sa nachádza XML alebo JSON, podľa zvoleného parametra. Obidva formáty majú rovnakú úroveň zanorenia."
      operationId: 5a06496cc036a6e4b545635883ad1111
      requestBody:
        description: "Získanie platobných metód"
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - secret
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
                type:
                  description: "Formát vrátených dát ('xml' alebo 'json'). Pokiaľ nebude vyplnené, použije sa 'xml'."
                  type: string
                  example: json
                lang:
                  description: "Výber, v akom jazyku budú opisy metód. Povolené hodnoty sú 'bg', 'cs', 'da', 'de', 'el', 'en', 'es', 'et', 'fi', 'fr', 'hr', 'hu', 'it', 'lt', 'lv', 'nl', 'no', 'pl', 'pt', 'ro', 'si', 'sk', 'sv', 'vi'. Pokiaľ nebude vyplnené, použije sa 'cs'."
                  type: string
                curr:
                  description: "Vyplnením parametra na hodnoty CZK alebo EUR dôjde k vráteniu metód, ktoré podporujú zadanú menu (CZK, EUR, PLN, HUF, USD, GBP, RON, NOK, SEK)."
                  type: string
                country:
                  description: "Kód krajiny ('AT', 'BE', 'CY', 'CZ', 'DE', 'EE', 'EL', 'ES', 'FI', 'FR', 'GB', 'HR', 'HU', 'IE', 'IT', 'LT', 'LU', 'LV', 'MT', 'NL', 'NO', 'PL', 'PT', 'RO', 'SL', 'SK', 'SE', 'US'), parameter slúži na obmedzenie výberu možných spôsobov pre zadanú krajinu."
                  type: string
                price:
                  description: "Cena za výrobok v centoch alebo halieroch. Pre menu HUF nemôžete zadať cenu s desatinnými miestami. V tomto prípade musí cena vždy končiť 00.<br>Musí byť min. 1 CZK; 0,1 EUR; 1 PLN; 100 HUF; 1 USD; 1 GBP; 5 RON; 0,5 NOK; 0,5 SEK.<br>Max. 1 000 000 CZK; 40 000 EUR; 170 000 PLN; 12 500 000 HUF; 45 000 USD; 35 000 GBP; 190 000 RON; 400 000 NOK; 390 000 SEK."
                  type: integer
                  format: int32
                initRecurring:
                  description: "Príznak pre iniciačnej transakcie pre opakované platby. Len pre Klientov, ktorí majú službu povolenú."
                  type: boolean
                  default: false
                verification:
                  description: "Parameter overovacej platby, v prípade požiadavky na založenie overovacej platby (hodnota ‘true’) nie je nutné posielať parameter ‘initRecurring’."
                  type: boolean
                  default: false
                preauth:
                  description: "V prípade požiadavky na predautorizáciu platby kartou nastavte na ‘true’. V prípade normálnej platby vyplňte ‘false’ alebo parameter nepoužívajte. Len na platby kartou."
                  type: boolean
                  default: false
                expirationTime:
                  description: "Dĺžka expirácie platby. Povolená hodnota je celé číslo nasledované písmenom zvolenej časovej jednotky: 'm' (minúty), 'h' (hodiny) alebo 'd' (dni). Napríklad '30m' (30 minút) alebo '10h' (10 hodín) alebo '2d' (2 dni). Jednotky nemožno kombinovať. Výsledná dĺžka musí byť v rozmedzí 30 minút až 7 dní."
                  type: string
                embedded:
                  description: "Parameter 'embedded' slúži na filtrovanie metód v prípade, že sa brána bude zobrazovať v iframe. Dôjde k odfiltrovaniu platobných metód, ktoré nie je možné na platobnej bráne v iframe zobraziť. Pokiaľ zobrazujete platobnú bránu v iframe, použite 'embedded=true'."
                  type: boolean
                userAgent:
                  description: "Parameter 'userAgent' slúži na identifikáciu webového prehliadača zákazníka. Odfiltruje platobné metódy nekompatibilné s daným zariadením."
                  type: string
                chargeUnregulatedCardFees:
                  description: "Pomocou tohto parametra zapnete alebo vypnete prenos poplatkov na platiteľa pri platbe neregulovanou kartou a zároveň vypnete metódu Apple Pay a Google Pay (ak nie je parametrom 'enableApplePayGooglePay' nastavené inak). Povolené hodnoty sú 'true' alebo 'false'.<br>Použitie tohto parametra je možné len po schválení a zapnutí zo strany Comgate. Nie všetky e-commerce riešenia tento parameter podporujú.<br><br>Viac informácií o prenesení poplatkov nájdete na <a href='https://help.comgate.cz/docs/sk/prenesenie-poplatkov-na-platcu' target='_blank'>stránke podpory</a>."
                  type: boolean
                enableApplePayGooglePay:
                  description: "Nastavte na 'false' pre vypnutie platobnej metódy Apple Pay a Google Pay pre konkrétnu platbu, aj keď sú tieto metódy vo vašom nastavení účtu povolené.<br>Nastavte na 'true' pre zapnutie platobnej metódy Apple Pay a Google Pay pre konkrétnu platbu, aj keď je použitý parameter 'chargeUnregulatedCardFees'.<br>Ak je použitý parameter 'chargeUnregulatedCardFees', tak je predvolená hodnota parametra 'enableApplePayGooglePay' 'false'. V opačnom prípade je predvolená hodnota 'true'."
                  type: boolean
              type: object
      responses:
        '200':
          description: "HTTP 200, Zoznam platobných metód"
          content:
            application/json:
              schema:
                description: "štruktúra vráteného JSON"
                required:
                  - methods
                properties:
                  methods: { description: "Dostupné metódy", type: array, items: { properties: { id: { description: "ID metódy", type: string }, group: { description: "Skupina metódy", type: string }, groupLabel: { description: "Popis skupiny metódy", type: string }, name: { description: "Názov metódy", type: string }, name_short: { description: "Krátky názov metódy", type: string }, description: { description: "Popis metódy", type: string }, logo: { description: "Logo metódy", type: string }, logo_240: { description: "240px logo metódy", type: string }, cblogo: { description: "Centrované väčšie logo metódy", type: string }, clogo: { description: "Centrované logo metódy", type: string }, sblogo: { description: "Štvorcové väčšie logo metódy", type: string }, slogo: { description: "Štvorcové logo metódy", type: string } }, type: object } }
                type: object
        '400':
          description: "HTTP 200, vyskytla sa chyba"
          content:
            application/json:
              schema:
                description: "vráti HTTP 200 (OK)!!<br>štruktúra vráteného JSON"
                required:
                  - error
                properties:
                  error: { description: "Chyba", type: array, items: { properties: { code: { description: '', type: string, example: '1400' }, message: { description: "návratový kód metódy a opis chyby:<br>0 OK<br>1100 neznáma chyba<br>1200 databázová chyba<br>1300 e-shop nemá žiadnu metódu<br>1400 chybná otázka<br>1500 neočakávaná chyba", type: string, example: 'Unauthorized access!' }, extraMessage: { description: "upresnenie chybového hlásenia", type: string, example: '' } }, type: object } }
                type: object
  /v1.0/status:
    post:
      summary: status
      description: "**Získanie stavu platby na pozadí**<br>Analogická funkcia pre odovzdanie výsledku platby na pozadí, iba iniciovaná Obchodom. Nenahrádza však odovzdanie stavu platby na pozadí, jej implementácia je stále povinná."
      operationId: 62d0375da5c483677e37da545c688caa
      requestBody:
        description: "Získať stav platby"
        content:
          application/x-www-form-urlencoded:
            schema:
              required:
                - merchant
                - transId
                - secret
              properties:
                merchant:
                  description: "identifikátor e-shopu v systéme Comgate"
                  type: string
                  example: '123456'
                transId:
                  description: "unikátny alfanumerický identifikátor (kód) transakcie (transactionId)"
                  type: string
                  example: AB12-CD34-EF56
                secret:
                  description: "heslo pre komunikáciu na pozadí"
                  type: string
                  example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y
              type: object
      responses:
        '200':
          description: "Získaný stav platby"
          content:
            application/x-www-form-urlencoded:
              schema:
                description: "Stav platby"
                required:
                  - code
                  - message
                  - merchant
                  - test
                  - price
                  - curr
                  - label
                  - refId
                  - email
                  - transId
                  - secret
                  - status
                properties:
                  code: { description: "Návratový kód metódy", type: integer, example: 0 }
                  message: { description: "<strong>návratový kód metódy a opis chyby:</strong><br>0 OK<br>1100 neznáma chyba<br>1200 databázová chyba<br>1400 chybná otázka<br>1500 neočakávaná chyba<br><br>v prípade code = 0 sú v odpovedi nasledujúce parametre:", type: string, example: OK }
                  merchant: { description: "identifikátor e-shopu v systéme Comgate", type: string, example: '123456' }
                  test: { description: "Hodnota 'true' znamená, že platba bola založená ako testovacia, hodnota 'false' znamená produkčnú verziu.", type: string, example: false }
                  price: { description: "cena za výrobok v centoch alebo halieroch", type: integer, example: 10000 }
                  curr: { description: "kód meny podľa ISO 4217", type: string, example: CZK }
                  label: { description: "krátky opis produktu (1 – 16 znakov)", type: string, example: 'Beatles - Help' }
                  refId: { description: "referencia platby v systéme e-shopu", type: string, example: '2010102600' }
                  payerId: { description: "identifikátor Platiteľa v systéme e-shopu", type: string }
                  method: { description: "použitá metóda platby, z tabuľky platobných metód", type: string, example: ALL }
                  account: { description: "identifikátor bankového účtu e-shopu, na ktorý Comgate prevedie peniaze", type: string }
                  email: { description: "kontaktný email na Platiteľa", type: string, example: platce@email.com }
                  name: { description: "Identifikátor produktu - podľa tejto položky je potom možné sa zorientovať v štatistikách platieb Comgate platobného systému.", type: string }
                  phone: { description: "Telefonska številka plačnika, če je na voljo", type: string }
                  transId: { description: "unikátny alfanumerický identifikátor (kód) transakcie (transactionId)", type: string, example: AB12-CD34-EF56 }
                  secret: { description: "heslo pre komunikáciu na pozadí", type: string, example: gx4q8OV3TJt6noJnfhjqJKyX3Z6Ych0y }
                  status: { description: "aktuálny stav transakcie, hodnoty<br>PENDING - platba je založená, finálny výsledok nie je známy<br>PAID - platba bola úspešne zaplatená<br>CANCELLED - platba nebola dokončená korektne a je zrušená<br>Authorized - vyžiadaná predautorizácia prebehla úspešne", type: string, example: PAID }
                  payerName: { description: "odovzdanie mena účtu patriacemu Platiteľovi", type: string }
                  payerAcc: { description: "odovzdanie čísla účtu Platiteľa", type: string }
                  fee: { description: "ak má e-shop nastavené automatické strhávanie poplatku za platbu, bude v tomto poli spočítaný poplatok za transakciu v centoch alebo halieroch, inak bude pole nadobúdať hodnotu 'unknown'", type: string }
                  vs: { description: "variabilný symbol platby (nie je vždy k dispozícii)", type: string }
                  cardValid: { description: "expirácia karty platiteľa dostupná pri opakovaných iniciačných platbách okrem Apple Pay a Google Pay", type: string }
                  cardNumber: { description: "čiastočné číslo karty platiteľa dostupné pri opakovaných iniciačných platbách", type: string }
                  appliedFee: { description: "Výška príplatku aplikovaná za neregulované typy kariet.", type: integer }
                  appliedFeeType: { description: "Typ príplatku aplikovaného za neregulované typy kariet ako je 'EU_UNREGULATED', 'NON_EU_BUSINESS', 'NON_EU_CONSUMER' aj nepríplatkový 'EU_CONSUMER'.", type: string }
                  paymentErrorReason: { description: "Dôvod zamietnutia platby, ak je k dispozícii. V prípade viacerých pokusov platiteľa o vykonaní platby sa vracia dôvod zamietnutia posledného pokusu. Možné hodnoty: <br> 'CUSTOMER_CLICK' - Zrušené platcom <br> 'FRAUD_SUSPECTED' - Podozrenie na podvod <br> 'ESHOP_CANCELLED' - Zrušené obchodníkom <br> 'PROVIDER_REPORT' - Zrušené poskytovateľom <br> 'PROVIDER_TIMEOUT' - Vypršal časový limit poskytovateľa <br> 'CUSTOMER_TIMEOUT' - Vypršal časový limit <br> 'ACS_TIMEOUT' - Vypršal časový limit na overenie <br> 'INVALID_CARDNO_EXPIRY' - Nesprávne zadané číslo karty alebo dátum platnosti karty <br> 'INVALID_CVC' - Nesprávne zadaný CVC / CVV kód<br> 'LIMIT_EXCEEDED' - Limit karty bol prekročený <br> 'NO_FUNDS' - Na účte nie je dostatočný zostatok <br> 'REJECTED_BY_BANK' - Platba bola zamietnutá bankou <br> '3DS_AUTH_FAIL' - Overenie platby nebolo úspešné <br> 'BANK_TIMEOUT' - Vypršal časový limit na vykonanie platby <br> 'BANK_FORBIDDEN' - Plátca neudelil prístup k svojim účtom <br> 'TRANSACTION_CANCELLED' - Plátca zrušil overenie platby <br> '3RDPART_APP_LIMIT_EXCEEDED' - Prekročený limit transakcií pre tretie strany <br> 'UNAVAILABLE' - Platobná metóda je dočasne nedostupná <br> 'BAD_ACCOUNT_TYPE' - Typ účtu platiteľa nepodporuje túto platbu <br> 'NOT_SPECIFIED' - Nešpecifikované ", type: string }
                type: object
